This connector is optimized for AI agents. For the data replication connector, see Clickup Api .
This is the full reference documentation for the Clickup-Api agent connector.
Supported entities and actions
The Clickup-Api connector supports the following entities and actions.
Entity Actions User Get , Context Store Search Teams List , Context Store Search Spaces List , Get , Context Store Search Folders List , Get , Context Store Search Lists List , Get , Context Store Search Tasks List , Get , API Search , Context Store Search Comments List , Create , Get , Update , Context Store Search Goals List , Get , Context Store Search Views List , Get View Tasks List Time Tracking List , Get , Context Store Search Members List Docs List , Get
User
User Get
View the details of the authenticated user's ClickUp account
Python SDK
await clickup_api . user . get ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "user", "action": "get" }'
Response Schema Records Field Name Type Description idintegerusernamestringemailstringcolorstring | nullprofilePicturestring | nullinitialsstring | nullweek_start_dayinteger | nullglobal_font_supportboolean | nulltimezonestring | null
User Context Store Search
Search and filter user records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await clickup_api . user . context_store_search ( query = { "filter" : { "eq" : { "id" : 0 } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "user", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": 0}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idintegerUnique identifier for the user usernamestringDisplay name of the user
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idintegerUnique identifier for the user data[].usernamestringDisplay name of the user
Teams
Teams List
Get the workspaces (teams) available to the authenticated user
Python SDK
await clickup_api . teams . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "teams", "action": "list" }'
Response Schema Records Field Name Type Description idstringnamestringcolorstring | nullavatarstring | nullmembersarray<object>
Teams Context Store Search
Search and filter teams records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await clickup_api . teams . context_store_search ( query = { "filter" : { "eq" : { "id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "teams", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idstringUnique identifier for the team (workspace) namestringName of the team
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idstringUnique identifier for the team (workspace) data[].namestringName of the team
Spaces
Spaces List
Get the spaces available in a workspace
Python SDK
await clickup_api . spaces . list ( team_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "spaces", "action": "list", "params": { "team_id": "<str>" } }'
Parameters
Parameter Name Type Required Description team_idstringYes The ID of the workspace
Response Schema Records Field Name Type Description idstringnamestringprivatebooleancolorstring | nullavatarstring | nulladmin_can_manageboolean | nullstatusesarray<object>multiple_assigneesbooleanfeaturesobjectarchivedboolean
Spaces Get
Get a single space by ID
Python SDK
await clickup_api . spaces . get ( space_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "spaces", "action": "get", "params": { "space_id": "<str>" } }'
Parameters
Parameter Name Type Required Description space_idstringYes The ID of the space
Response Schema Records Field Name Type Description idstringnamestringprivatebooleancolorstring | nullavatarstring | nulladmin_can_manageboolean | nullstatusesarray<object>multiple_assigneesbooleanfeaturesobjectarchivedboolean
Spaces Context Store Search
Search and filter spaces records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await clickup_api . spaces . context_store_search ( query = { "filter" : { "eq" : { "id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "spaces", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idstringUnique identifier for the space namestringName of the space privatebooleanWhether the space is private
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idstringUnique identifier for the space data[].namestringName of the space data[].privatebooleanWhether the space is private
Folders
Folders List
Get the folders in a space
Python SDK
await clickup_api . folders . list ( space_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "folders", "action": "list", "params": { "space_id": "<str>" } }'
Parameters
Parameter Name Type Required Description space_idstringYes The ID of the space
Response Schema Records Field Name Type Description idstringnamestringorderindexinteger | nulloverride_statusesbooleanhiddenbooleanspaceobjecttask_countstring | nullarchivedbooleanstatusesarray<object>deletedboolean | nulllistsarray<object>permission_levelstring | null
Folders Get
Get a single folder by ID
Python SDK
await clickup_api . folders . get ( folder_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "folders", "action": "get", "params": { "folder_id": "<str>" } }'
Parameters
Parameter Name Type Required Description folder_idstringYes The ID of the folder
Response Schema Records Field Name Type Description idstringnamestringorderindexinteger | nulloverride_statusesbooleanhiddenbooleanspaceobjecttask_countstring | nullarchivedbooleanstatusesarray<object>deletedboolean | nulllistsarray<object>permission_levelstring | null
Folders Context Store Search
Search and filter folders records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await clickup_api . folders . context_store_search ( query = { "filter" : { "eq" : { "id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "folders", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idstringUnique identifier for the folder namestringName of the folder hiddenbooleanWhether the folder is hidden from the sidebar task_countstringNumber of tasks contained in the folder
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idstringUnique identifier for the folder data[].namestringName of the folder data[].hiddenbooleanWhether the folder is hidden from the sidebar data[].task_countstringNumber of tasks contained in the folder
Lists
Lists List
Get the lists in a folder
Python SDK
await clickup_api . lists . list ( folder_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "lists", "action": "list", "params": { "folder_id": "<str>" } }'
Parameters
Parameter Name Type Required Description folder_idstringYes The ID of the folder
Response Schema Records Field Name Type Description idstringnamestringorderindexinteger | nullstatusobject | nullpriorityobject | nullassigneeobject | nulltask_countinteger | nulldue_datestring | nullstart_datestring | nullfolderobjectspaceobjectarchivedbooleanoverride_statusesboolean | nullcontentstring | nulldeletedboolean | nullinbound_addressstring | nullstatusesarray<object>permission_levelstring | null
Lists Get
Get a single list by ID
Python SDK
await clickup_api . lists . get ( list_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "lists", "action": "get", "params": { "list_id": "<str>" } }'
Parameters
Parameter Name Type Required Description list_idstringYes The ID of the list
Response Schema Records Field Name Type Description idstringnamestringorderindexinteger | nullstatusobject | nullpriorityobject | nullassigneeobject | nulltask_countinteger | nulldue_datestring | nullstart_datestring | nullfolderobjectspaceobjectarchivedbooleanoverride_statusesboolean | nullcontentstring | nulldeletedboolean | nullinbound_addressstring | nullstatusesarray<object>permission_levelstring | null
Lists Context Store Search
Search and filter lists records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await clickup_api . lists . context_store_search ( query = { "filter" : { "eq" : { "id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "lists", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idstringUnique identifier for the list namestringName of the list archivedbooleanWhether the list has been archived due_datestringDue date for the list, in ClickUp timestamp format start_datestringStart date for the list, in ClickUp timestamp format prioritystringPriority assigned to the list task_countintegerNumber of tasks contained in the list
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idstringUnique identifier for the list data[].namestringName of the list data[].archivedbooleanWhether the list has been archived data[].due_datestringDue date for the list, in ClickUp timestamp format data[].start_datestringStart date for the list, in ClickUp timestamp format data[].prioritystringPriority assigned to the list data[].task_countintegerNumber of tasks contained in the list
Tasks
Tasks List
Get the tasks in a list
Python SDK
await clickup_api . tasks . list ( list_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tasks", "action": "list", "params": { "list_id": "<str>" } }'
Parameters
Parameter Name Type Required Description list_idstringYes The ID of the list pageintegerNo Page number (0-indexed)
Response Schema Records Field Name Type Description idstringcustom_idstring | nullcustom_item_idinteger | nullnamestringtext_contentstring | nulldescriptionstring | nullstatusobjectorderindexstring | nulldate_createdstring | nulldate_updatedstring | nulldate_closedstring | nulldate_donestring | nullarchivedbooleancreatorobjectassigneesarray<object>group_assigneesarray<object>watchersarray<object>checklistsarray<object>tagsarray<object>parentstring | nullpriorityobject | nulldue_datestring | nullstart_datestring | nullpointsnumber | nulltime_estimateinteger | nulltime_spentinteger | nullcustom_fieldsarray<object>dependenciesarray<object>linked_tasksarray<object>team_idstring | nullurlstringlistobject | nullprojectobject | nullfolderobject | nullspaceobject | nulltop_level_parentstring | nulllocationsarray<object>sharingobject | nullpermission_levelstring | nullattachmentsarray<object>
Field Name Type Description last_pageboolean | null
Tasks Get
Get a single task by ID
Python SDK
await clickup_api . tasks . get ( task_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tasks", "action": "get", "params": { "task_id": "<str>" } }'
Parameters
Parameter Name Type Required Description task_idstringYes The ID of the task custom_task_idsbooleanNo Set to true to use a custom task ID include_subtasksbooleanNo Include subtasks
Response Schema Records Field Name Type Description idstringcustom_idstring | nullcustom_item_idinteger | nullnamestringtext_contentstring | nulldescriptionstring | nullstatusobjectorderindexstring | nulldate_createdstring | nulldate_updatedstring | nulldate_closedstring | nulldate_donestring | nullarchivedbooleancreatorobjectassigneesarray<object>group_assigneesarray<object>watchersarray<object>checklistsarray<object>tagsarray<object>parentstring | nullpriorityobject | nulldue_datestring | nullstart_datestring | nullpointsnumber | nulltime_estimateinteger | nulltime_spentinteger | nullcustom_fieldsarray<object>dependenciesarray<object>linked_tasksarray<object>team_idstring | nullurlstringlistobject | nullprojectobject | nullfolderobject | nullspaceobject | nulltop_level_parentstring | nulllocationsarray<object>sharingobject | nullpermission_levelstring | nullattachmentsarray<object>
Tasks API Search
View the tasks that meet specific criteria from a workspace. Supports free-text search
and structured filters including status, assignee, tags, priority, and date ranges.
Responses are limited to 100 tasks per page.
Python SDK
await clickup_api . tasks . api_search ( team_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tasks", "action": "api_search", "params": { "team_id": "<str>" } }'
Parameters
Parameter Name Type Required Description team_idstringYes The workspace ID to search within searchstringNo Free-text search across task name, description, and custom field text statuses[]array<string>No Filter by status names (e.g. "in progress", "done") assignees[]array<string>No Filter by user IDs tags[]array<string>No Filter by tag names priorityintegerNo Filter by priority: 1=Urgent, 2=High, 3=Normal, 4=Low due_date_gtintegerNo Due date after (Unix ms) due_date_ltintegerNo Due date before (Unix ms) date_created_gtintegerNo Created after (Unix ms) date_created_ltintegerNo Created before (Unix ms) date_updated_gtintegerNo Updated after (Unix ms) date_updated_ltintegerNo Updated before (Unix ms) custom_fieldsarray<object>No JSON array of custom field filters. Each object: {"field_id": "<UUID>", "operator": "<OP>", "value": "<DATA>"}. Operators: = (contains), == (exact), <, <=, >, >=, !=, !==, IS NULL, IS NOT NULL, RANGE, ANY, ALL, NOT ANY, NOT ALL include_closedbooleanNo Include closed tasks (excluded by default) pageintegerNo Page number (0-indexed), results capped at 100/page
Response Schema Records Field Name Type Description idstringcustom_idstring | nullcustom_item_idinteger | nullnamestringtext_contentstring | nulldescriptionstring | nullstatusobjectorderindexstring | nulldate_createdstring | nulldate_updatedstring | nulldate_closedstring | nulldate_donestring | nullarchivedbooleancreatorobjectassigneesarray<object>group_assigneesarray<object>watchersarray<object>checklistsarray<object>tagsarray<object>parentstring | nullpriorityobject | nulldue_datestring | nullstart_datestring | nullpointsnumber | nulltime_estimateinteger | nulltime_spentinteger | nullcustom_fieldsarray<object>dependenciesarray<object>linked_tasksarray<object>team_idstring | nullurlstringlistobject | nullprojectobject | nullfolderobject | nullspaceobject | nulltop_level_parentstring | nulllocationsarray<object>sharingobject | nullpermission_levelstring | nullattachmentsarray<object>
Field Name Type Description last_pageboolean | null
Tasks Context Store Search
Search and filter tasks records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await clickup_api . tasks . context_store_search ( query = { "filter" : { "eq" : { "id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tasks", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idstringUnique identifier for the task namestringName of the task date_createdstringCreation timestamp of the task, in ClickUp timestamp format date_updatedstringLast update timestamp of the task, in ClickUp timestamp format date_closedstringTimestamp when the task was closed, in ClickUp timestamp format due_datestringDue date for the task, in ClickUp timestamp format start_datestringStart date for the task, in ClickUp timestamp format parentstringID of the parent task, if this task is a subtask urlstringPermalink URL to view the task in ClickUp
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idstringUnique identifier for the task data[].namestringName of the task data[].date_createdstringCreation timestamp of the task, in ClickUp timestamp format data[].date_updatedstringLast update timestamp of the task, in ClickUp timestamp format data[].date_closedstringTimestamp when the task was closed, in ClickUp timestamp format data[].due_datestringDue date for the task, in ClickUp timestamp format data[].start_datestringStart date for the task, in ClickUp timestamp format data[].parentstringID of the parent task, if this task is a subtask data[].urlstringPermalink URL to view the task in ClickUp
Get the comments on a task
Python SDK
await clickup_api . comments . list ( task_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "comments", "action": "list", "params": { "task_id": "<str>" } }'
Parameters
Parameter Name Type Required Description task_idstringYes The ID of the task
Response Schema Records Field Name Type Description idstringcommentarray<object>comment_textstringuserobjectresolvedbooleanassigneeobject | nullassigned_byobject | nullreactionsarray<object>datestring
Create a comment on a task
Python SDK
await clickup_api . comments . create ( comment_text = "<str>" , assignee = 0 , notify_all = True , task_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "comments", "action": "create", "params": { "comment_text": "<str>", "assignee": 0, "notify_all": True, "task_id": "<str>" } }'
Parameters
Parameter Name Type Required Description comment_textstringYes The comment text assigneeintegerNo User ID to assign notify_allbooleanNo Notify all assignees and watchers task_idstringYes The ID of the task
Response Schema Records Field Name Type Description idintegerhist_idstringdateintegerversionobject | null
Get threaded replies on a comment
Python SDK
await clickup_api . comments . get ( comment_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "comments", "action": "get", "params": { "comment_id": "<str>" } }'
Parameters
Parameter Name Type Required Description comment_idstringYes The ID of the comment
Response Schema Records Field Name Type Description idstringcommentarray<object>comment_textstringuserobjectresolvedbooleanassigneeobject | nullassigned_byobject | nullreactionsarray<object>datestring
Update an existing comment
Python SDK
await clickup_api . comments . update ( comment_text = "<str>" , assignee = 0 , resolved = True , comment_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "comments", "action": "update", "params": { "comment_text": "<str>", "assignee": 0, "resolved": True, "comment_id": "<str>" } }'
Parameters
Parameter Name Type Required Description comment_textstringNo Updated comment text assigneeintegerNo User ID to assign resolvedbooleanNo Whether the comment is resolved comment_idstringYes The ID of the comment
Search and filter comments records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await clickup_api . comments . context_store_search ( query = { "filter" : { "eq" : { "id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "comments", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idstringUnique identifier for the comment comment_textstringPlain-text content of the comment datestringTimestamp when the comment was posted, in ClickUp timestamp format reply_countnumberNumber of replies on the comment
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idstringUnique identifier for the comment data[].comment_textstringPlain-text content of the comment data[].datestringTimestamp when the comment was posted, in ClickUp timestamp format data[].reply_countnumberNumber of replies on the comment
Goals
Goals List
Get the goals in a workspace
Python SDK
await clickup_api . goals . list ( team_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "goals", "action": "list", "params": { "team_id": "<str>" } }'
Parameters
Parameter Name Type Required Description team_idstringYes The ID of the workspace
Response Schema Records Field Name Type Description idstringpretty_idstring | nullnamestringteam_idstringcreatorinteger | nullownerobject | nullcolorstringdate_createdstring | nullstart_datestring | nulldue_datestring | nulldescriptionstring | nullprivatebooleanarchivedbooleanmultiple_ownersbooleanmembersarray<object>key_resultsarray<object>percent_completedinteger | nullhistoryarray<object>pretty_urlstring | null
Goals Get
Get a single goal by ID
Python SDK
await clickup_api . goals . get ( goal_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "goals", "action": "get", "params": { "goal_id": "<str>" } }'
Parameters
Parameter Name Type Required Description goal_idstringYes The ID of the goal
Response Schema Records Field Name Type Description idstringpretty_idstring | nullnamestringteam_idstringcreatorinteger | nullownerobject | nullcolorstringdate_createdstring | nullstart_datestring | nulldue_datestring | nulldescriptionstring | nullprivatebooleanarchivedbooleanmultiple_ownersbooleanmembersarray<object>key_resultsarray<object>percent_completedinteger | nullhistoryarray<object>pretty_urlstring | null
Goals Context Store Search
Search and filter goals records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await clickup_api . goals . context_store_search ( query = { "filter" : { "eq" : { "id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "goals", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idstringUnique identifier for the goal namestringName of the goal descriptionstringDescription of the goal archivedbooleanWhether the goal has been archived pinnedbooleanWhether the goal is pinned to the top of the list privatebooleanWhether the goal is private to its owners date_createdstringCreation timestamp of the goal, in ClickUp timestamp format due_datestringDue date for the goal, in ClickUp timestamp format percent_completednumberCompletion percentage of the goal, between 0 and 100 team_idstringIdentifier of the team that owns the goal
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idstringUnique identifier for the goal data[].namestringName of the goal data[].descriptionstringDescription of the goal data[].archivedbooleanWhether the goal has been archived data[].pinnedbooleanWhether the goal is pinned to the top of the list data[].privatebooleanWhether the goal is private to its owners data[].date_createdstringCreation timestamp of the goal, in ClickUp timestamp format data[].due_datestringDue date for the goal, in ClickUp timestamp format data[].percent_completednumberCompletion percentage of the goal, between 0 and 100 data[].team_idstringIdentifier of the team that owns the goal
Views
Views List
Get the workspace-level (Everything level) views
Python SDK
await clickup_api . views . list ( team_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "views", "action": "list", "params": { "team_id": "<str>" } }'
Parameters
Parameter Name Type Required Description team_idstringYes The ID of the workspace
Response Schema Records Field Name Type Description idstringnamestringtypestringparentobjectgroupingobjectdivideobjectsortingobjectfiltersobjectcolumnsobjectteam_sidebarobjectsettingsobjectdate_createdstring | nullcreatorinteger | nullvisibilitystring | nullprotectedboolean | nullprotected_notestring | nullprotected_byinteger | nulldate_protectedstring | nullorderindexintegerpublicboolean
Views Get
Get a single view by ID
Python SDK
await clickup_api . views . get ( view_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "views", "action": "get", "params": { "view_id": "<str>" } }'
Parameters
Parameter Name Type Required Description view_idstringYes The ID of the view
Response Schema Records Field Name Type Description idstringnamestringtypestringparentobjectgroupingobjectdivideobjectsortingobjectfiltersobjectcolumnsobjectteam_sidebarobjectsettingsobjectdate_createdstring | nullcreatorinteger | nullvisibilitystring | nullprotectedboolean | nullprotected_notestring | nullprotected_byinteger | nulldate_protectedstring | nullorderindexintegerpublicboolean
View Tasks
View Tasks List
Get tasks matching a view's pre-configured filters — useful as a secondary search mechanism
Python SDK
await clickup_api . view_tasks . list ( view_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "view_tasks", "action": "list", "params": { "view_id": "<str>" } }'
Parameters
Parameter Name Type Required Description view_idstringYes The ID of the view pageintegerNo Page number (0-indexed)
Response Schema Records Field Name Type Description idstringcustom_idstring | nullcustom_item_idinteger | nullnamestringtext_contentstring | nulldescriptionstring | nullstatusobjectorderindexstring | nulldate_createdstring | nulldate_updatedstring | nulldate_closedstring | nulldate_donestring | nullarchivedbooleancreatorobjectassigneesarray<object>group_assigneesarray<object>watchersarray<object>checklistsarray<object>tagsarray<object>parentstring | nullpriorityobject | nulldue_datestring | nullstart_datestring | nullpointsnumber | nulltime_estimateinteger | nulltime_spentinteger | nullcustom_fieldsarray<object>dependenciesarray<object>linked_tasksarray<object>team_idstring | nullurlstringlistobject | nullprojectobject | nullfolderobject | nullspaceobject | nulltop_level_parentstring | nulllocationsarray<object>sharingobject | nullpermission_levelstring | nullattachmentsarray<object>
Field Name Type Description last_pageboolean | null
Time Tracking
Time Tracking List
Get time entries within a date range for a workspace
Python SDK
await clickup_api . time_tracking . list ( team_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "time_tracking", "action": "list", "params": { "team_id": "<str>" } }'
Parameters
Parameter Name Type Required Description team_idstringYes The ID of the workspace start_dateintegerNo Start date (Unix ms) end_dateintegerNo End date (Unix ms) assigneestringNo Filter by user ID
Response Schema Records Field Name Type Description idstringtaskobject | nullwidstring | nulluserobjectbillablebooleanstartstringendstring | nulldurationstringdescriptionstring | nulltagsarray<object>atstring | null
Time Tracking Get
Get a single time entry by ID
Python SDK
await clickup_api . time_tracking . get ( team_id = "<str>" , time_entry_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "time_tracking", "action": "get", "params": { "team_id": "<str>", "time_entry_id": "<str>" } }'
Parameters
Parameter Name Type Required Description team_idstringYes The ID of the workspace time_entry_idstringYes The ID of the time entry
Response Schema Records Field Name Type Description idstringtaskobject | nullwidstring | nulluserobjectbillablebooleanstartstringendstring | nulldurationstringdescriptionstring | nulltagsarray<object>atstring | null
Time Tracking Context Store Search
Search and filter time tracking records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await clickup_api . time_tracking . context_store_search ( query = { "filter" : { "eq" : { "time" : 0.0 } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "time_tracking", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"time": 0.0}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description timenumberTotal tracked time in milliseconds userobjectUser who tracked the time
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].timenumberTotal tracked time in milliseconds data[].userobjectUser who tracked the time
Members
Members List
Get the members assigned to a task
Python SDK
await clickup_api . members . list ( task_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "members", "action": "list", "params": { "task_id": "<str>" } }'
Parameters
Parameter Name Type Required Description task_idstringYes The ID of the task
Response Schema Records Field Name Type Description idintegerusernamestringemailstringcolorstring | nullprofilePicturestring | nullinitialsstring | null
Docs
Docs List
Search for docs in a workspace
Python SDK
await clickup_api . docs . list ( workspace_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "docs", "action": "list", "params": { "workspace_id": "<str>" } }'
Parameters
Parameter Name Type Required Description workspace_idstringYes The ID of the workspace cursorstringNo Cursor for pagination to the next page of results
Response Schema Records Field Name Type Description idstringnamestringtypeinteger | nullparentobject | nullcreatorinteger | nulldeletedboolean | nullpublicboolean | nulldate_createdinteger | nulldate_updatedinteger | nullworkspace_idinteger | nullcontentstring | null
Field Name Type Description next_cursorstring | null
Docs Get
Fetch a single doc by ID
Python SDK
await clickup_api . docs . get ( workspace_id = "<str>" , doc_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "docs", "action": "get", "params": { "workspace_id": "<str>", "doc_id": "<str>" } }'
Parameters
Parameter Name Type Required Description workspace_idstringYes The ID of the workspace doc_idstringYes The ID of the doc
Response Schema Records Field Name Type Description idstringnamestringtypeinteger | nullparentobject | nullcreatorinteger | nulldeletedboolean | nullpublicboolean | nulldate_createdinteger | nulldate_updatedinteger | nullworkspace_idinteger | nullcontentstring | null